<template>
    <modal
            name="login-modal"
            transition="nice-modal-fade"
            :min-width="200"
            :min-height="200"
            :pivot-y="0.5"
            :adaptive="true"
            :scrollable="true"
            :reset="true"
            :max-width="600"
            width="80%"
            height="auto">
        <div class="modal-content">
        <h2 class="modal-h2">Вход</h2>
            <div>
                <div v-if="error" class="error-msg">{{error}}</div>
                <input type="text" class="text-input" placeholder="Логин" v-model="phone" required>
                <input type="password" class="text-input" placeholder="Пароль" v-model="password" required>
            </div>
            <div class="text-center forgot-link-container"><a @click="$modal.hide('login-modal');$modal.show('recovery-modal');" class="forgot-link">Забыли пароль?</a></div>
            <div class="text-center login-button-first"><button class="a-btn login-modal-btn" @click="login">Войти</button></div>
            <div class="text-center "><a class="a-btn login-modal-btn" @click="$modal.hide('login-modal');$modal.show('phone-modal');">Регистрация</a></div>
        </div>
    </modal>
</template>

<script>
export default {
  name: 'LoginModal',
    data(){
      return{
          phone: '',
          password: '',
          error: '',
      }
    },
    methods:{
      login(){
          this.error = '';
          this.$store.dispatch('login', {
              phone: this.phone,
              password: this.password}).then(()=>{
              this.$modal.hide('login-modal')
          }).catch(err => this.error = err)
      }
    }
}
</script>
